/* -*- Mode:C; Tab-width:4 -*- */
/*                                                                       */
/*                                                                       */
/*                      RESTRICTED RIGHTS LEGEND                         */
/*                                                                       */
/* Use, duplication, or disclosure by the Government is subject to       */
/* restrictions as set forth in subdivision (c)(1)(ii) of the Rights in  */
/* Technical Data and Computer Software clause at 252.227-7013.          */
/*                                                                       */
/*                    TEXAS INSTRUMENTS INCORPORATED.                    */
/*                            P.O. BOX 149149                            */
/*                         AUSTIN, TEXAS 78714-9149                      */
/*                              MS 2151                                  */
/*                                                                       */
/*  Copyright (C) 1987,1988,1989,1990 Texas Instruments Incorporated.    */
/*  All rights reserved.                                                 */
/*                                                                       */

#include <addinComm.h>
#include <osutils.h> /* For sysbeep() */
#include <stdio.h>   /* For debug printf's. */

/*extern unhandled_cmd();*/ 

pascal void NupiCommand(cmd)			/*ab*/
	acb *cmd;
	extern;

pascal short InitNupi()
     extern;

nupi_init()                            /*BJ*/
{
	return (InitNupi());
}

pascal Boolean bareboot()
     extern;

bare_boot()                            /*MBC*/
{
  return(bareboot());
}

pascal void ClosePartFiles()
     extern;

nupi_close()                            /*MBC*/
{
  ClosePartFiles();
}

	
nupi_command(cmd)
	acb *cmd;
	{
	NupiCommand(cmd);
	}
	
	
/* 11/20/89 sbw: dump_physical is unused and causes compiler warnings 
dump_physical(adr)
	unsigned long adr;
{
	long *temp;
	unsigned long value;
	temp = (long *) adr;
}
*/